Perform a payment gateway charge operation

This method allows you to perform a "charge" operation through your payment gateway. A "charge" operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement.
If needed, you can void this "charge" operation by using the [DELETE] /PaymentGateway/void method.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Additional parameters may be required

Please note that some payment processors require custom parameters and properties to be added to the request sent to them. We have outlined all of the payment processors that require additional information here.

📘

Payment gateway merchant account credentials

Orchestra offers you two options of providing us with the merchant account credentials needed to send a charge request to the payment gateway:

  1. Provide the merchant account credentials inline in the request by supplying the paymentGatewayAccount object.
  2. Use our Payment Gateway Account system to pre-upload and store the credentials in our system and then providing the reference name in the paymentGatewayAccountName parameter.
Body Params
string
required
length ≥ 1

The currency of the transaction. Based on the ISO 4217 standard.

boolean

This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters

string | null

This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters

payerDetails
object

The billing information of the card owner

double
required

The amount to be charged (the amount should be in major units - for example, 10.23)

string | null

Your custom reference for this transaction

card
object
required

The card details that should be charged. You can either provide us with the raw card details or provide a reference to the stored card details in a token.

string | null

The reference name provided to the stored Payment Gateway Account as set in PUT /PaymentGatewayAccounts/{name}.
Please note, if you provide us with both this parameter and the raw credentials in the paymentGatewayAccount object, this parameter will be ignored and the raw credentials will take precedence.

string | null

Optional parameter if the payment gateway requires authentication using a client certificate. The name of the certificate that was stored in our system via our users portal

paymentGatewayAccount
object

The raw credentials necessary to connect to the chosen payment gateway as defined in GET /PaymentGateway.
Please note, if you provide us with both the raw details here and a stored Payment Gateway Account in the paymentGatewayAccountName parameter, these credentials will take precedence.

string
enum
Allowed:
Responses
202

Accepted (for future processing by payment gateway)

401

Not authenticated

409

Conflict - rejected by payment gateway

500

Error with payment gateway

503

Temporary failure with payment gateway

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json